from setuptools import setup
from os.path import join, dirname

requirements = [
    'syncloud-app',
    'syncloud-sam',
    'syncloud-insider',
    'syncloud-remote',
    'syncloud-image-tools'
]

version = open(join(dirname(__file__), 'version')).read().strip()

setup(
    name = 'syncloud-server',
    version = version,
    scripts = ['bin/syncloud-cli'],
    install_requires = requirements,
    description = 'Syncloud WebUI/Rest/CLI API Server',
    packages=['syncloud', 'syncloud.server'],
    namespace_packages=['syncloud'],
    license='GPLv3',
    author = 'Syncloud',
    author_email = 'syncloud@googlegroups.com',
    url = 'https://github.com/syncloud/server'
)